<?php

/**
 * @file
 * A module to check a series of keys in a AWS S3 bucket.
 */

use Drupal\Core\Routing\RouteMatchInterface;
use Drupal\Core\Url;

/**
 * Implements hook_help().
 */
function aws_s3_key_checker_help($route_name, RouteMatchInterface $route_match) {
  switch ($route_name) {
    case 'help.page.aws_s3_key_checker':
      $output = '<h3>' . t('About') . '</h3>';
      $output .= '<p>' . t('The AWS S3 Key Checker module offers a form to check if a series of keys exists or not inside a AWS S3 bucket') . '</p>';
      $output .= '<h3>' . t('Uses') . '</h3>';
      $output .= '<dl>';
      $output .= '<dt>' . t('Batch operations') . '</dt>';
      $output .= '<dd>' . t('This module is useful to perform a batch operation to ensure a list of keys is present or not inside a bucket. It performs a HEAD operation to see if a key exists inside a AWS S3 bucket. That key can be prefixed and/or suffixed with any string.
 For more information, please check the <a href=":config_page">settings</a> page.', [':config_page' => Url::fromRoute('aws_s3_key_checker.settings')->toString()]) . '</dd>';
      $output .= '</dl>';
      return $output;
  }
}
